.home-header{
    text-align: center;
    margin-bottom:0;
}

.header-title-desktop{
    margin-bottom: 40px;
}

.banner-img{
    width: 100%;
}
#exp-line{
    position:absolute;
    right:0;
    top:500px;
}
#main .container{
    position:relative;
}
#main img{
    border-radius: 20px;
}
.bg-green{
    background-color:#646E5B;
}
.bg-green .container{
    padding-top:100px;
}
.bg-green h3{
    font-size:50px;
    color:#fff;
    text-align: center;
}
.home-header2.b{
    position:relative;
    /* left: 15%; */
    text-align: center;
}
.home-header2.c{
    text-align: right;
}
.home-header2.b2{
    text-align: right;
}
#main .container{
    padding-bottom:100px;
}
.expertise-right img{
    border-radius: 20px;
}
.expertise-right{
    
    position: relative;
}
.brand-left{
    width: 50% !important;
}
.expertise-right figure{
    display: block;
    width: 100%;
    height: 100%;
    z-index: 1;
    position: absolute;
    left:0;
    top:0;
    margin-bottom: 0;
}

.expertise-right figure:first-child{
    position: static;
}
.expertise-right figcaption{
    font-size:18px;
    font-family: "Figtree";
    color:#785A4D;
    padding:10px;

}

.expertise-images-wrapper {
  position: relative;   /* NEW: this is the bounds */
  width: 100%;
}
.expertise-right figure{
    position: absolute;
    opacity: 0;
    transition: opacity 0.4s ease;
    width: 100%;
    left: 0;
    top: 0;
}

.expertise-right figure.active {
    opacity: 1;
}

.expertise-cont{
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.process-btn{
    padding-right: 40px;
}

.expertise-cont a, .expertise-cont p{
    color: #D1A68F;
    font-size: 35px;
    font-weight: 400;
    font-family: "Aboreto", "Figtree", "Verdana";
    transition: all 0.2s ease-in-out;
    width: fit-content;
    text-decoration: none;
    text-underline-offset: 8px;
    cursor: pointer;
    margin-bottom: 0;
    position: relative;
    -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.expertise-cont a:hover, .expertise-cont p:hover,
.expertise-cont p.active{
    color: #553A30;
    /* text-decoration: underline; */
}

.expertise-cont a::after,
.expertise-cont p::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -6px; /* adjust distance from text */
    width: 0%;
    height: 1px; 
    box-shadow: 0 1px 0 #553A30; 
    transition: width 0.3s ease-in-out;
    pointer-events: none;
}

/* Hover state: expand underline */
.expertise-cont a:hover::after,
.expertise-cont p:hover::after,
.expertise-cont a.active::after,
.expertise-cont p.active::after {
    width: 100%;
    /* background-color: #553A30; */
}
.container.space-top{
    padding-top:100px;
}
.brand-btm-space{
    padding-bottom:100px;
    padding-left: 120px;
}
.home-header3{
    text-align: right;
}
.home-header3.b{
    position:relative;
    text-align: center;
}
.home-header3.c{
    text-align: left;
}

.row.crafting-content {
    background: #FFF4EB;
    /* padding: 40px 30px; */
    border-radius: 15px;
    align-items: center;
}
.crafting-cont {
    display: flex;
    justify-content: center;
    margin-top: 90px;
}

.crafting-content-text{
    padding:80px;
}

.crafting-content-content p{
    margin-bottom: 30px;
}
.crafting-cont a{
 background-color: #465C2E;
    color:#C3CEB5;
    border:1px solid #465C2E;
 border-radius:30px;
    padding:8px 35px;
    font-family: "Figtree";
}
.crafting-cont a:first-child{
    margin-right:20px;
}
.crafting-cont a:hover,
.crafting-cont a:focus,
.crafting-cont a:active{
 background-color: #C3CEB5;
 color:#465C2E;
 border:1px solid #C3CEB5;
}

.room-type-img-container{
    position: relative;
}
.room-type-img-inner{
    left:48px;
    position:relative;
}
@media (max-width:1300px){
    .room-type-img-inner{
    left:0;
    position:relative;
    }
}
.room-type-img{
    max-width: 100%;
    height: auto;
    display: block;
    /* margin-left: 48px; */
}

.room-type-pin{
    width: 40px;
    height: 40px;
    position: absolute;
    top: 0;
    left: 0;
    cursor: pointer;
    z-index: 1;
}
#main .room-type-hover{
    position: absolute;
    transition: opacity 0.3s ease;
    opacity: 0;
    pointer-events: none;
    max-width: 150px;
    border-radius: 10px;
}
#main .room-type-hover.active {
    opacity: 1;
    pointer-events: auto;
    z-index: 10;
}
.room-type-bedroom{
    position: absolute;
    top: 5%;
    left: 10%;
    width: 200px;
    height: auto;
    border-radius: 20px;
    opacity: 0;
    transition: opacity 0.5s ease;
}

.room-type-pin:hover ~ .room-type-bedroom {
  opacity: 1; /* fade out */
}

.crafting-type-container-desktop{
    display:flex;
}
.crafting-content {
  display: none;
}
.crafting-type[data-type="residential"],
.crafting-content[data-type="residential"] {
  display: flex; /* show residential by default */
}
.crafting-content.active{
    display:flex;
}
.crafting-cont .btn.active {
   background-color: #C3CEB5;
 color:#465C2E;
 border:1px solid #C3CEB5;
}
.crafting-content h3{
    font-size:35px;
    margin-bottom:30px;
    color:#785A4D;
    text-align: left;
}
.crafting-type{
    display:flex;
    justify-content: space-between;
    margin: 30px 30px 30px 0;
}
.crafting-type a {
    color: #F8E3D1;
    text-transform: uppercase;
    text-decoration: none;
    font-family: "Aboreto";
    font-size:20px;
    border-bottom:1px solid transparent;
    position: relative;
}
.crafting-type a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px; /* adjust distance from text */
    width: 0;
    height: 1px; 
    box-shadow: 0 1px 0 #F8E3D1; 
    transition: width 0.3s ease-in-out;
    pointer-events: none;
}
.crafting-type.active a::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px; /* adjust distance from text */
    width: 100%;
    height: 1px; 
    box-shadow: 0 1px 0 #F8E3D1; 
    transition: width 0.3s ease-in-out;
    pointer-events: none;
}
/* Hover state: expand underline */
.crafting-type a:hover::after {
    width: 100%;
    
}

.service-img img{
    width: 100%;
    display: block;
    height: auto;
    max-height: 430px;
    object-fit: cover;
}

.header-title-mobile{
    padding-bottom: 40px;
}

.banner-text-container{
    padding-bottom: 40px !important;
}

.banner-img-container{
    padding-bottom: 40px !important;
}

.expertise-service-section{
    /* margin-bottom: 60px; */
}

#main .container.enquire-section{
    padding-bottom: 170px;
}

.enquire-section .section-subtitle{
    letter-spacing: 5.6px;
    text-transform: uppercase;
}

.enquire-section h1{
    margin-bottom: 20px;
}

.enquire-section .pcenter{
    max-width: 500px;
}

.enquire-section .btn1{
    display: block;
    width: fit-content;
    margin: auto;
    margin-top: 40px;
}

.home-header2-mobile{
    display: none;
}

.crafting-type .swiper-wrapper{
    justify-content: space-between;
}

.crafting-type-container-mobile{
        display: none;
    }

.expertise-row2{
    margin-top: 80px;
}

.expertise-row{
        margin-top: 30px;
    }

.exp-line-mobile{
    display: none;

}

.exp-line-desktop, .exp-line-mobile{
    border-radius: 0 !important;
}

@media screen and (max-width : 1300px){
    .crafting-content-text{
        padding: 40px 20px;
    }

    .room-type-bedroom{
        width: 150px;
        left: 5%;
        top: 2%;
    }

    .expertise-cont a, .expertise-cont p{
        font-size: 25px;
    }

    .process-btn{
        padding-right: 20px;
        
    }

    .brand-btm-space{
        padding-left: 20px;
        
    }

    .service-img img{
        max-height: 270px;
    }
}

@media screen and (max-width : 1024px){
    .row.crafting-content{
        flex-direction: column;
    }

    .crafting-content-text{
        width: 100%;
        padding: 0 40px 40px 40px;
    }

    .room-type-img{
        width: 100%;
        margin-left: 0;
    }

    .room-type-img-container{
        width: 100%;
    }
    .room-type-img-inner{
        left:0;
    }
    .room-type-img-container{
        padding-top: 20px;
    }

    .room-type-pin{
        max-width: 30px;
    }

    .room-type-bedroom{
        width: 200px;
    }
}
@media screen and (max-width : 767px){
    .home-header2-mobile{
        display: block;
    }
    .home-header2-desktop{
        display: none;
    }
    #main .container{
        padding-bottom:50px;
    }
    .home-header{
        padding-top:0;
    }
    #main img{
        max-width:100%;
    }
    #exp-line{
        max-width: 150px !important;
        top: 400px;
    }

    .exp-line-desktop{
        display: none;
    }

    .exp-line-mobile{
        display: block;
        position:absolute;
        right:0;
        top:390px;
        width: 150px;
    }
    .expertise-cont a, .expertise-cont p{
        font-size:20px;
    }
    .expertise-row .col-md-6:first-child{
        order:2;
    }
    .expertise-row .expertise-right{
        width:100%;
        position:relative;
        /* height: 450px; */
    }
    .bg-green h3{
        font-size:28px;
    }
    .home-header3.b{
        right: auto;
    }
    .expertise-row2 .expertise-right{
        width:100%;
        position:relative;
        /* height: 440px; */
    }
    .brand-left{
        width:100% !important;
    }
    .brand-btm-space{
        padding-bottom:0px;
        padding-left: 10px;
        padding-top: 40px;
    }

    .banner-img-container{
        width: 100%;
        padding: 0;
    }

    .banner-img-container img{
        border-radius: 0 !important;
    }

    .banner-text-container{
        padding-bottom: 0 !important;
    }

    .expertise-right figcaption{
        padding: 0;
        padding-top: 25px;
    }
    .expertise-row .expertise-right{
        /* height: 425px; */
    }
    .process-btn{
        padding-left: 10px;
        padding-top: 40px;
    }

    .expertise-service-section{
        margin-bottom: 0px;
    }

    .enquire-section h1{
        max-width: 240px;
        margin: auto;
        letter-spacing: -3.5px;
        margin-bottom: 10px;
    }

    #main .container.enquire-section{
        padding-bottom: 80px;
    }


    .enquire-section .btn1{
        margin-top: 20px;
    }

    p.section-subtitle{
        margin-bottom: 5px;
    }
    

    .enquire-section .section-subtitle{
        letter-spacing: 7.2px;
        margin-bottom: 10px;
    }

    .expertise-cont{
        gap: 15px;
    }

    .expertise-cont a::after, .expertise-cont p::after{
        bottom: -2px;
    }

    .bg-green .container{
        padding-top: 40px;
    }

    .crafting-cont{
        margin-top: 40px;
    }

    .crafting-type a{
        flex-shrink: 0;
        white-space: nowrap;
        width: fit-content;
        display: block;
    }

    .crafting-type-container-desktop{
        display: none;
    }

    .crafting-type-container-mobile{
        display: block;
    }

    .room-type-hover{
        max-width: 100px !important;
    }

    .room-type-bedroom{
        width: 120px;

    }

    .crafting-content h3{
        margin-bottom: 10px;
    }

    .crafting-content .btn1{
        padding: 0;
        border: none;
        font-family: "Aboreto", system-ui;
        text-transform: uppercase;
        position: relative;
    }

    .crafting-content .btn1:hover{
        background-color: transparent;
        color: #785A4D;
    }

    /* Create underline effect */
    .crafting-content .btn1::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: -3px; /* adjust distance from text */
        width: 0;
        height: 1px; 
        box-shadow: 0 1px 0 #553A30; 
        transition: width 0.3s ease-in-out;
        pointer-events: none;
    }

    /* Hover state: expand underline */
    .crafting-content .btn1:hover:after {
        width: 100%;
    }

    .expertise-row2{
        margin-top: 20px;
    }

    .crafting-cont a{
        padding: 8px 20px;
    }

    .expertise-row{
        margin-top: 10px;
    }

    .expertise-service-section .container{
        padding-bottom: 40px !important;
    }

    .crafting-content-content p{
        margin-bottom: 10px;
    }

    .crafting-content-content p:last-child{
        margin-bottom: 20px;
    }
}
